Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.buffer
Class BufferInputLineSimplifier

    java.lang.Object
      com.vividsolutions.jts.operation.buffer.BufferInputLineSimplifier

    public class BufferInputLineSimplifier

extends java.lang.Object

Simplifies a buffer input line to remove concavities with shallow depth.

The most important benefit of doing this is to reduce the number of points and the complexity of shape which will be buffered. It also reduces the risk of gores created by the quantized fillet arcs (although this issue should be eliminated in any case by the offset curve generation logic).

A key aspect of the simplification is that it affects inside (concave or inward) corners only. Convex (outward) corners are preserved, since they are required to ensure that the generated buffer curve lies at the correct distance from the input geometry.

Another important heuristic used is that the end segments of the input are never simplified. This ensures that the client buffer code is able to generate end caps faithfully.

No attempt is made to avoid self-intersections in the output. This is acceptable for use for generating a buffer offset curve, since the buffer algorithm is insensitive to invalid polygonal geometry. However, this means that this algorithm cannot be used as a general-purpose polygon simplification technique.

Author:
  Martin Davis

Constructor Summary
`BufferInputLineSimplifier(Coordinate[] inputLine)`

Method Summary
`static Coordinate[]` | `simplify(Coordinate[] inputLine, double distanceTol)` Simplify the input coordinate list.
`Coordinate[]` | `simplify(double distanceTol)` Simplify the input coordinate list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferInputLineSimplifier

    public BufferInputLineSimplifier(Coordinate[] inputLine)

Method Detail

### simplify

    public static Coordinate[] simplify(Coordinate[] inputLine,
                                        double distanceTol)

  Simplify the input coordinate list. If the distance tolerance is positive, concavities on the LEFT side of the line are simplified. If the supplied distance tolerance is negative, concavities on the RIGHT side of the line are simplified.

  Parameters:
    `inputLine` - the coordinate list to simplify
    `distanceTol` - simplification distance tolerance to use
  Returns:
    the simplified coordinate list

### simplify

    public Coordinate[] simplify(double distanceTol)

  Simplify the input coordinate list. If the distance tolerance is positive, concavities on the LEFT side of the line are simplified. If the supplied distance tolerance is negative, concavities on the RIGHT side of the line are simplified.

  Parameters:
    `distanceTol` - simplification distance tolerance to use
  Returns:
    the simplified coordinate list

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD